#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%define		pdir	Class
%define		pnam	Date
%include	/usr/lib/rpm/macros.perl
Summary:	Perl Class for easy date and time manipulation
Summary(pl.UTF-8):	Klasa Perla do łatwej manipulacji datą i czasem
Name:		perl-Class-Date
Version:	1.1.10
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	d9f305bf7cf5a1ca67354339e2fff5d5
URL:		http://search.cpan.org/dist/Class-Date/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	'perl(UNIVERSAL)'

%description
This module is intended to provide a general-purpose date and datetime
type for Perl. You have a Class::Date class for absolute date and
datetime, and have a Class::Date::Rel class for relative dates.

%description -l pl.UTF-8
Ten moduł ma za zadanie udostępnić dla Perla typy daty i czasu
ogólnego przeznaczenia. Zawiera klasę Class::Date do bezwzględnych dat
i czasu oraz Class::Date::Rel do dat względnych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Change*
%{perl_vendorarch}/%{pdir}/%{pnam}.pm
%dir %{perl_vendorarch}/%{pdir}/%{pnam}
%{perl_vendorarch}/%{pdir}/%{pnam}/*.pm
#%dir %{perl_vendorarch}/auto/%{pdir} # -- which package should be a Class/ owner?
%dir %{perl_vendorarch}/auto/%{pdir}/%{pnam}
%{perl_vendorarch}/auto/%{pdir}/%{pnam}/%{pnam}.*
%{_mandir}/man3/*
%changelog
* Wed Feb 04 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Class-Date.git;a=log;h=master

* Tue Nov 25 2014 Elan Ruusamäe <glen@delfi.ee> 0b1cd6e
- use generic url

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 978edb1
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 2a40cea
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Wed Jan 11 2012 zbyniu <zbyniu@pld-linux.org> 7a218c2
- up to 1.1.10

* Tue Oct 04 2011 lisu <lisu@pld-linux.org> c8109b7
- rel 8

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> 1d9810e
- release 7

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 4f05ade
- release 4

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> 495bc5a
- release 3

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 4f631a8
- rel 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> a91b058
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b4f128a
- converted to UTF-8

* Thu May 25 2006 blaass <blaass@pld-linux.org> fa6fee0
- up to 1.1.9, rel 1

* Sun Jan 22 2006 Maciej Pijanka <agaran@pld-linux.org> 7e62e66
- up to 1.1.8 rel: 0.1

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> d4869ca
- formatting

* Sat Jun 05 2004 radek <radek@pld-linux.org> 59a0a8a
- massive: unfold macros in name/summary & other unifications

* Fri May 07 2004 ankry <ankry@pld-linux.org> 5ea3f7e
- rel. 2

* Thu May 06 2004 ankry <ankry@pld-linux.org> ba60ea1
- fixed perl-devel BR

* Sun Apr 25 2004 ankry <ankry@pld-linux.org> f0e9043
- cosmetics: unification

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> 1891ab8
- bcond fixes/porting

* Sun Apr 18 2004 ankry <ankry@pld-linux.org> 9fc8709
- license fixes and unification

